---
hero:
  title: zhst
  description: 前端工具库合集
  actions:
    - text: 快速上手
      link: /bizs
features:
  - title: biz
    emoji: 🍑
    description: 业务库
  - title: hooks
    emoji: 💎
    description: hooks
  - title: func
    emoji: 🌈
    description: 常用函数库
  - title: meta
    emoji: 🧸
    description: 原子组件库
---

## 本文档食用说明

目前在开发中的项目为：@zhst/bizs、@zhst/hooks、@zhst/meta、@zhst/func。

bizs: 基于@zhst/hooks、@zhst/meta、@zhst/func 开发，基本贴近于业务。<Badge>doing</Badge>

meta：基于 antd 开发，作为公司的定制化原子组件。<Badge>doing</Badge>

hooks：基于 ahooks、@zhst/func 定制化二次开发。<Badge>doing</Badge>

func：基于 lodash-es 定制化二次开发 (由于utils包名被使用了)<Badge>doing</Badge>

## 后续构思

想做一个，基于智慧视通开发场景和业务场景的前端技术流程化方案，希望它能渗透到整个研发的所有流程中。

比如：代码规范、git提交规范、物料库、基于electron的前端工具客户端（可集成物料库、图片上传小工具）、api自动生成...

:::info{title=@zhst/lint}
lint工具库，包含：eslint-config、eslint-plugin、commit-lint
:::

:::info{title=@zhst/metarial}
物料库，可以直接通过 clone npm 仓库的形式生成模板页面
:::

:::info{title=@zhst/app}
基于 electron 的前端客户端工具，初期功能构思方案有：文件上传、git 仓库管理、物料库可视化页面一键生成
:::

:::info{title=@zhst/autoapi}
接口一键生成工具
:::

:::info{title=@zhst/types}
类型定义库
:::

:::info{title=@zhst/constants}
静态变量枚举库
:::
