/**
 * 设备类型枚举
 */
export var DeviceType = {
  VMS: 'vms',
  DIR: 'dir',
  CAMERA: 'camera'
};
export var LOCAL_KEY = 'local'; //离线摄像头key 约定
export var DIRE_CONNECT_KEY = 'direconnect';
export var BOX_LIST_KEY = 'boxlist';
export var VmsplatformOpt = /*#__PURE__*/function (VmsplatformOpt) {
  VmsplatformOpt[VmsplatformOpt["VMSPLATFORMOPT_ID"] = 0] = "VMSPLATFORMOPT_ID";
  VmsplatformOpt[VmsplatformOpt["VMSPLATFORMOPT_PLATFORMNAME"] = 1] = "VMSPLATFORMOPT_PLATFORMNAME";
  VmsplatformOpt[VmsplatformOpt["VMSPLATFORMOPT_PLUGINNAME"] = 2] = "VMSPLATFORMOPT_PLUGINNAME";
  VmsplatformOpt[VmsplatformOpt["VMSPLATFORMOPT_IP"] = 3] = "VMSPLATFORMOPT_IP";
  VmsplatformOpt[VmsplatformOpt["VMSPLATFORMOPT_PORT"] = 4] = "VMSPLATFORMOPT_PORT";
  VmsplatformOpt[VmsplatformOpt["VMSPLATFORMOPT_USERNAME"] = 5] = "VMSPLATFORMOPT_USERNAME";
  VmsplatformOpt[VmsplatformOpt["VMSPLATFORMOPT_PASSWORD"] = 6] = "VMSPLATFORMOPT_PASSWORD";
  return VmsplatformOpt;
}({});
export var OPT = /*#__PURE__*/function (OPT) {
  OPT[OPT["OR"] = 0] = "OR";
  OPT[OPT["AND"] = 1] = "AND";
  OPT[OPT["ORNOT"] = 2] = "ORNOT";
  OPT[OPT["ANDNOT"] = 3] = "ANDNOT";
  return OPT;
}({});
export var DevicemanagerCameraType = /*#__PURE__*/function (DevicemanagerCameraType) {
  DevicemanagerCameraType[DevicemanagerCameraType["DEVICEMANAGER_CAMERA_TYPE_DEFAULT"] = 0] = "DEVICEMANAGER_CAMERA_TYPE_DEFAULT";
  DevicemanagerCameraType[DevicemanagerCameraType["DEVICEMANAGER_CAMERA_TYPE_NORMAL"] = 1] = "DEVICEMANAGER_CAMERA_TYPE_NORMAL";
  DevicemanagerCameraType[DevicemanagerCameraType["DEVICEMANAGER_CAMERA_TYPE_1400"] = 97] = "DEVICEMANAGER_CAMERA_TYPE_1400";
  DevicemanagerCameraType[DevicemanagerCameraType["DEVICEMANAGER_CAMERA_TYPE_DHGRABBER"] = 98] = "DEVICEMANAGER_CAMERA_TYPE_DHGRABBER";
  DevicemanagerCameraType[DevicemanagerCameraType["DEVICEMANAGER_CAMERA_TYPE_HKGRABBER"] = 99] = "DEVICEMANAGER_CAMERA_TYPE_HKGRABBER";
  DevicemanagerCameraType[DevicemanagerCameraType["DEVICEMANAGER_CAMERA_TYPE_LOCAL"] = 100] = "DEVICEMANAGER_CAMERA_TYPE_LOCAL";
  return DevicemanagerCameraType;
}({});

// 盒子 直连 平台
export var BOX_DIRECONNECT_PLATFORM_FILTER = {
  filtervmsplatformList: [{
    opt: OPT.OR,
    vmsplatformOpt: VmsplatformOpt.VMSPLATFORMOPT_PLATFORMNAME,
    value: 'direconnect'
  }, {
    opt: OPT.OR,
    vmsplatformOpt: VmsplatformOpt.VMSPLATFORMOPT_PLATFORMNAME,
    value: 'boxlist'
  }]
};