var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/performance/index.ts
var performance_exports = {};
__export(performance_exports, {
  speedConvert: () => speedConvert
});
module.exports = __toCommonJS(performance_exports);
var speedConvert = (bps, contertUnit = 8) => {
  if (bps === void 0)
    return `0KB/s`;
  const byte = bps / contertUnit;
  if (bps > 1024 * 1024 * 1024) {
    return `${(byte / 1024 / 1024 / 1024).toFixed(2)}GB/s`;
  } else if (byte > 1024 * 1024) {
    return `${(byte / 1024 / 1024).toFixed(2)}MB/s`;
  } else if (byte > 1024) {
    return `${(byte / 1024).toFixed(2)}KB/s`;
  }
  return `${byte}KB/s`;
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  speedConvert
});
