var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/time/index.ts
var time_exports = {};
__export(time_exports, {
  formateDuration: () => formateDuration,
  generateTime: () => generateTime
});
module.exports = __toCommonJS(time_exports);
var import_dayjs = __toESM(require("dayjs"));
var formateDuration = (diff) => {
  var days = Math.floor(diff / (24 * 3600 * 1e3));
  var leave1 = diff % (24 * 3600 * 1e3);
  var hours = Math.floor(leave1 / (3600 * 1e3));
  var leave2 = leave1 % (3600 * 1e3);
  var minutes = Math.floor(leave2 / (60 * 1e3));
  var leave3 = leave2 % (60 * 1e3);
  var seconds = Math.round(leave3 / 1e3);
  var returnStr = seconds + "秒";
  if (minutes > 0) {
    returnStr = minutes + "分";
  }
  if (hours > 0) {
    returnStr = hours + "小时";
  }
  if (days > 0) {
    returnStr = days + "天";
  }
  return returnStr;
};
function generateTime() {
  let endDateTime = (0, import_dayjs.default)().endOf("day").unix();
  let startDateTime = (0, import_dayjs.default)().startOf("day").unix();
  return { startDateTime, endDateTime };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  formateDuration,
  generateTime
});
