var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/useCustomCompareEffect/index.tsx
var useCustomCompareEffect_exports = {};
__export(useCustomCompareEffect_exports, {
  default: () => useCustomCompareEffect_default
});
module.exports = __toCommonJS(useCustomCompareEffect_exports);
var import_react = require("react");
var useCustomCompareEffect = (effect, deps, depsEqual) => {
  if (process.env.NODE_ENV !== "production") {
    if (!(deps instanceof Array) || !deps.length) {
      console.warn(
        "`useCustomCompareEffect` should not be used with no dependencies. Use React.useEffect instead."
      );
    }
    if (typeof depsEqual !== "function") {
      console.warn(
        "`useCustomCompareEffect` should be used with depsEqual callback for comparing deps list"
      );
    }
  }
  let _depsEqual = depsEqual;
  const ref = (0, import_react.useRef)(void 0);
  if (!ref.current || !_depsEqual(deps, ref.current)) {
    ref.current = deps;
  }
  (0, import_react.useEffect)(effect, ref.current);
};
var useCustomCompareEffect_default = useCustomCompareEffect;
