import './index.module.scss';
export interface Option {
    image?: string | HTMLImageElement;
    showMask?: boolean;
    cropBoxLimited?: {
        width: number;
        height: number;
        top: number;
        left: number;
    };
    minCropBoxWidth?: number;
    minCropBoxHeight?: number;
    viewer?: any;
    initialCropBoxData?: any;
}
declare class Cropper {
    element: HTMLDivElement;
    options: Option;
    cropped: boolean;
    limited: boolean;
    image: HTMLImageElement;
    eventHandleList: never[];
    container: Element;
    dragBox: Element;
    cropBox: Element;
    viewBox: Element;
    constructor(element: any, options?: any);
    init(): Promise<void>;
    initDefaultCropBox(): void;
    load(): Promise<HTMLElement>;
    build(): void;
    destroy(): void;
}
export default Cropper;
