var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/ImageEditor/cropper/constants.ts
var constants_exports = {};
__export(constants_exports, {
  ACTION_CROP: () => ACTION_CROP,
  ACTION_EAST: () => ACTION_EAST,
  ACTION_MOVE: () => ACTION_MOVE,
  ACTION_NORTH: () => ACTION_NORTH,
  ACTION_NORTH_EAST: () => ACTION_NORTH_EAST,
  ACTION_NORTH_WEST: () => ACTION_NORTH_WEST,
  ACTION_SOUTH: () => ACTION_SOUTH,
  ACTION_SOUTH_EAST: () => ACTION_SOUTH_EAST,
  ACTION_SOUTH_WEST: () => ACTION_SOUTH_WEST,
  ACTION_WEST: () => ACTION_WEST,
  CLASS_HIDDEN: () => CLASS_HIDDEN,
  CLASS_MASK: () => CLASS_MASK,
  DATA_ACTION: () => DATA_ACTION,
  EVENT_CROP_CHANGE: () => EVENT_CROP_CHANGE,
  EVENT_CROP_END: () => EVENT_CROP_END,
  EVENT_CROP_START: () => EVENT_CROP_START,
  EVENT_POINTER_DOWN: () => EVENT_POINTER_DOWN,
  EVENT_POINTER_MOVE: () => EVENT_POINTER_MOVE,
  EVENT_POINTER_UP: () => EVENT_POINTER_UP,
  EVENT_TOUCH_END: () => EVENT_TOUCH_END,
  EVENT_TOUCH_MOVE: () => EVENT_TOUCH_MOVE,
  EVENT_TOUCH_START: () => EVENT_TOUCH_START,
  EVENT_WHEEL: () => EVENT_WHEEL,
  NAMESPACE: () => NAMESPACE,
  REGEXP_ACTIONS: () => REGEXP_ACTIONS,
  REGEXP_SPACES: () => REGEXP_SPACES
});
module.exports = __toCommonJS(constants_exports);
var import_utils = require("../utils");
var NAMESPACE = "zhst-cropper";
var ACTION_MOVE = "move";
var ACTION_CROP = "crop";
var ACTION_EAST = "e";
var ACTION_WEST = "w";
var ACTION_SOUTH = "s";
var ACTION_NORTH = "n";
var ACTION_NORTH_EAST = "ne";
var ACTION_NORTH_WEST = "nw";
var ACTION_SOUTH_EAST = "se";
var ACTION_SOUTH_WEST = "sw";
var CLASS_HIDDEN = `${NAMESPACE}-hidden`;
var CLASS_MASK = `${NAMESPACE}-mask`;
var DATA_ACTION = `${NAMESPACE}-action`;
var EVENT_TOUCH_START = import_utils.IS_TOUCH_DEVICE ? "touchstart" : "mousedown";
var EVENT_TOUCH_MOVE = import_utils.IS_TOUCH_DEVICE ? "touchmove" : "mousemove";
var EVENT_TOUCH_END = import_utils.IS_TOUCH_DEVICE ? "touchend touchcancel" : "mouseup";
var EVENT_POINTER_DOWN = import_utils.HAS_POINTER_EVENT ? "pointerdown" : EVENT_TOUCH_START;
var EVENT_POINTER_MOVE = import_utils.HAS_POINTER_EVENT ? "pointermove" : EVENT_TOUCH_MOVE;
var EVENT_POINTER_UP = import_utils.HAS_POINTER_EVENT ? "pointerup pointercancel" : EVENT_TOUCH_END;
var EVENT_WHEEL = "wheel";
var EVENT_CROP_CHANGE = "crop-change";
var EVENT_CROP_START = "crop-start";
var EVENT_CROP_END = "crop-end";
var REGEXP_SPACES = /\s\s*/;
var REGEXP_ACTIONS = /^e|w|s|n|se|sw|ne|nw|all|crop|move|zoom$/;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ACTION_CROP,
  ACTION_EAST,
  ACTION_MOVE,
  ACTION_NORTH,
  ACTION_NORTH_EAST,
  ACTION_NORTH_WEST,
  ACTION_SOUTH,
  ACTION_SOUTH_EAST,
  ACTION_SOUTH_WEST,
  ACTION_WEST,
  CLASS_HIDDEN,
  CLASS_MASK,
  DATA_ACTION,
  EVENT_CROP_CHANGE,
  EVENT_CROP_END,
  EVENT_CROP_START,
  EVENT_POINTER_DOWN,
  EVENT_POINTER_MOVE,
  EVENT_POINTER_UP,
  EVENT_TOUCH_END,
  EVENT_TOUCH_MOVE,
  EVENT_TOUCH_START,
  EVENT_WHEEL,
  NAMESPACE,
  REGEXP_ACTIONS,
  REGEXP_SPACES
});
