var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/ImageEditor/index.ts
var ImageEditor_exports = {};
__export(ImageEditor_exports, {
  Cropper: () => import_cropper.default,
  EVENT_CROP_CHANGE: () => import_constants.EVENT_CROP_CHANGE,
  EVENT_CROP_END: () => import_constants.EVENT_CROP_END,
  EVENT_CROP_START: () => import_constants.EVENT_CROP_START,
  EVENT_EYE_DONE: () => import_constants2.EVENT_EYE_DONE,
  EVENT_SHAPE_SELECT: () => import_constants2.EVENT_SHAPE_SELECT,
  EVENT_VIEWER_ERROR: () => import_constants2.EVENT_VIEWER_ERROR,
  EVENT_VIEWER_READY: () => import_constants2.EVENT_VIEWER_READY,
  EVENT_VIEWER_TRANSFORM_CHANGE: () => import_constants2.EVENT_VIEWER_TRANSFORM_CHANGE,
  Viewer: () => import_viewer.default
});
module.exports = __toCommonJS(ImageEditor_exports);
var import_cropper = __toESM(require("./cropper"));
var import_viewer = __toESM(require("./viewer"));
var import_constants = require("./cropper/constants");
var import_constants2 = require("./viewer/constants");
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  Cropper,
  EVENT_CROP_CHANGE,
  EVENT_CROP_END,
  EVENT_CROP_START,
  EVENT_EYE_DONE,
  EVENT_SHAPE_SELECT,
  EVENT_VIEWER_ERROR,
  EVENT_VIEWER_READY,
  EVENT_VIEWER_TRANSFORM_CHANGE,
  Viewer
});
