var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/ImageEditor/viewer/constants.ts
var constants_exports = {};
__export(constants_exports, {
  ACTION_DRAG: () => ACTION_DRAG,
  AXIS_TYPE_CANVAS: () => AXIS_TYPE_CANVAS,
  AXIS_TYPE_IMAGE: () => AXIS_TYPE_IMAGE,
  AXIS_TYPE_ORIGIN: () => AXIS_TYPE_ORIGIN,
  CLASS_CANVAS: () => CLASS_CANVAS,
  CLASS_MOVE: () => CLASS_MOVE,
  EVENT_CLICK: () => EVENT_CLICK,
  EVENT_ENTER: () => EVENT_ENTER,
  EVENT_EYE_DONE: () => EVENT_EYE_DONE,
  EVENT_LEAVEL: () => EVENT_LEAVEL,
  EVENT_POINTER_DOWN: () => EVENT_POINTER_DOWN,
  EVENT_POINTER_MOVE: () => EVENT_POINTER_MOVE,
  EVENT_POINTER_UP: () => EVENT_POINTER_UP,
  EVENT_SHAPE_SELECT: () => EVENT_SHAPE_SELECT,
  EVENT_TOUCH_END: () => EVENT_TOUCH_END,
  EVENT_TOUCH_MOVE: () => EVENT_TOUCH_MOVE,
  EVENT_TOUCH_START: () => EVENT_TOUCH_START,
  EVENT_VIEWER_ERROR: () => EVENT_VIEWER_ERROR,
  EVENT_VIEWER_READY: () => EVENT_VIEWER_READY,
  EVENT_VIEWER_TRANSFORM_CHANGE: () => EVENT_VIEWER_TRANSFORM_CHANGE,
  EVENT_WHEEL: () => EVENT_WHEEL,
  NAMESPACE: () => NAMESPACE,
  REGEXP_SPACES: () => REGEXP_SPACES,
  SHAPE_TYPE_CIRCLE: () => SHAPE_TYPE_CIRCLE,
  SHAPE_TYPE_CUSTOM: () => SHAPE_TYPE_CUSTOM,
  SHAPE_TYPE_RECT: () => SHAPE_TYPE_RECT
});
module.exports = __toCommonJS(constants_exports);
var import_utils = require("../utils");
var NAMESPACE = "zhst-viewer";
var ACTION_DRAG = "drag";
var CLASS_CANVAS = `${NAMESPACE}-canvas`;
var CLASS_MOVE = `${NAMESPACE}-move`;
var EVENT_CLICK = "click";
var EVENT_TOUCH_START = import_utils.IS_TOUCH_DEVICE ? "touchstart" : "mousedown";
var EVENT_TOUCH_MOVE = import_utils.IS_TOUCH_DEVICE ? "touchmove" : "mousemove";
var EVENT_TOUCH_END = import_utils.IS_TOUCH_DEVICE ? "touchend touchcancel" : "mouseup";
var EVENT_POINTER_DOWN = import_utils.HAS_POINTER_EVENT ? "pointerdown" : EVENT_TOUCH_START;
var EVENT_POINTER_MOVE = import_utils.HAS_POINTER_EVENT ? "pointermove" : EVENT_TOUCH_MOVE;
var EVENT_POINTER_UP = import_utils.HAS_POINTER_EVENT ? "pointerup pointercancel" : EVENT_TOUCH_END;
var EVENT_WHEEL = "wheel";
var EVENT_LEAVEL = "mouseleave";
var EVENT_ENTER = "mouseenter";
var EVENT_VIEWER_TRANSFORM_CHANGE = "viewer-transform-change";
var EVENT_VIEWER_READY = "viewer-ready";
var EVENT_VIEWER_ERROR = "viewer-error";
var EVENT_SHAPE_SELECT = "shape-select";
var EVENT_EYE_DONE = "eye-done";
var REGEXP_SPACES = /\s\s*/;
var AXIS_TYPE_ORIGIN = 1;
var AXIS_TYPE_CANVAS = 2;
var AXIS_TYPE_IMAGE = 3;
var SHAPE_TYPE_CUSTOM = 1;
var SHAPE_TYPE_RECT = 2;
var SHAPE_TYPE_CIRCLE = 3;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ACTION_DRAG,
  AXIS_TYPE_CANVAS,
  AXIS_TYPE_IMAGE,
  AXIS_TYPE_ORIGIN,
  CLASS_CANVAS,
  CLASS_MOVE,
  EVENT_CLICK,
  EVENT_ENTER,
  EVENT_EYE_DONE,
  EVENT_LEAVEL,
  EVENT_POINTER_DOWN,
  EVENT_POINTER_MOVE,
  EVENT_POINTER_UP,
  EVENT_SHAPE_SELECT,
  EVENT_TOUCH_END,
  EVENT_TOUCH_MOVE,
  EVENT_TOUCH_START,
  EVENT_VIEWER_ERROR,
  EVENT_VIEWER_READY,
  EVENT_VIEWER_TRANSFORM_CHANGE,
  EVENT_WHEEL,
  NAMESPACE,
  REGEXP_SPACES,
  SHAPE_TYPE_CIRCLE,
  SHAPE_TYPE_CUSTOM,
  SHAPE_TYPE_RECT
});
