declare const _default: {
    image: null;
    canvas: null;
    containerData: {
        width: number;
        height: number;
    };
    animationFrame: null;
    backgroundColor: string;
    targetTransform: {
        translateX: number;
        translateY: number;
        scale: number;
        rotate: number;
    };
    render(): Promise<void>;
    initImg(): Promise<HTMLElement>;
    initCanvas(): void;
    startRaf(): void;
    renderCanvas(_ctx: any): void;
    scaleTo(offsetScale: any): void;
    rotateTo(T: number | ((preDeg: number) => number)): void;
    reset(): void;
    getImgSize(): {
        w: any;
        h: any;
    } | undefined;
    calcFitScreen(): {
        translateX: number;
        translateY: number;
        scale: number;
    } | undefined;
    calcTransform(newTransform: any, cropBox: any): void;
};
export default _default;
