var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/doubleClick/index.tsx
var doubleClick_exports = {};
__export(doubleClick_exports, {
  default: () => doubleClick_default,
  doubleCheck: () => doubleCheck
});
module.exports = __toCommonJS(doubleClick_exports);
var import_func = require("@zhst/func");
var import_antd = require("antd");
var import_hooks = require("@zhst/hooks");
var { confirm } = import_antd.Modal;
var doubleCheck = (title = "警告", option) => {
  const {
    okFunc = import_func.noop,
    cancelFunc = import_func.noop,
    doubleCheckKey,
    doubleCheckTitle = "不再询问",
    ...others
  } = option || {};
  return confirm({
    title,
    // type: 'warning',
    onCancel: async (isOk) => {
      if (isOk) {
        await okFunc();
      } else {
        await cancelFunc();
      }
    },
    ...doubleCheckKey ? {
      renderFooterRight: () => {
        const [value, setValue] = (0, import_hooks.useDoubleCheck)(doubleCheckKey);
        return /* @__PURE__ */ React.createElement("div", null, /* @__PURE__ */ React.createElement(
          import_antd.Checkbox,
          {
            checked: value,
            onChange: (v) => {
              setValue(v);
            }
          },
          doubleCheckTitle
        ));
      }
    } : {},
    ...others
  });
};
var doubleClick_default = doubleCheck;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  doubleCheck
});
