---
nav:
  title: 元组件
  order: 1
group:
  title: 通用
  order: 3
---

# ImagePreview 图片预览

```jsx
import React from 'react';
import { ImagePreview } from '@zhst/meta'

const props = {
  label:"目标图",
  url:"http://10.0.0.120:30003/file/public/public_20240110/file/60f26318-19fc-40b3-b249-91bd2a4da3f3.jpg",
  openRoll:true,
  score: 0.8,
  urls:[
    "http://10.0.0.120:30003/file/public/public_20240110/file/60f26318-19fc-40b3-b249-91bd2a4da3f3.jpg",
    "http://10.0.0.120:30003/file/public/public_20240110/file/7c9b33a8-5106-4982-9d58-a593ad8acbf6.jpg"
  ]
}

export default () => {
  return (
    <ImagePreview {...props} />
  )
}
```

| 参数名 | 参数类型 | 参数说明 |
| ------ | -------- | ---- |
|label|string|左上角标题|
|url|string|链接|
|openRoll|boolean|是否支持鼠标滚动放大缩小|
|urls|string[]|链接数组|
|score|string|相似度|
