import * as React from 'react';
import classnames from 'classnames';
import { Button } from 'antd';
import { Icon } from '@zhst/meta';
import "./index.less";
var componentName = "zhst-image__nav";
var Navigation = function Navigation(props) {
  var show = props.show,
    prev = props.prev,
    next = props.next,
    disabled = props.disabled,
    onClick = props.onClick,
    className = props.className,
    color = props.color;
  return /*#__PURE__*/React.createElement("div", {
    className: classnames("".concat(componentName), prev && "".concat(componentName, "-prev"), next && "".concat(componentName, "-next"), disabled && "".concat(componentName, "--disable"), !show && "".concat(componentName, "--hide"), className)
  }, /*#__PURE__*/React.createElement(Button, {
    type: "text",
    disabled: disabled,
    onClick: onClick
  }, /*#__PURE__*/React.createElement(Icon, {
    size: 28,
    color: color,
    icon: prev ? 'icon-qiehuanzuo' : 'icon-qiehuanyou'
  })));
};
export default Navigation;