export var isDev = import.meta.env.DEV;
export var host = isDev ? 'http://10.0.0.7' : "".concat(location.protocol, "//").concat(location.hostname);
export var port = isDev ? '30003' : location.port;
export var ProjectUrl = "".concat(host, ":").concat(port);
export var MANAGER_URL = port ? ProjectUrl + '/manager' : host + '/manager';
export var S3_HOST = location.port ? "".concat(host, ":").concat(port) : host;
export var MapUrl = port ? ProjectUrl + '/map' : host + '/map';
export var S3_V3_HOST = host; //minio 地址
export var SOCKET_HOST = port ? ProjectUrl : host;
export var OBJECT_GRNER_THRESHOLD = 0.8; //目标图判断性别阈值
export var OBJECT_AGE_TYPE_THRESHOLD = 0.5; //目标图判断年龄段阈值
export var MODE_KEY = 'test_mode';
export var ROUTER_SHOULD_FILTER = isDev; //是否根据后台配置路由，开发环境全打开
//业务约定
export var SEARCH_IMG_COUNT = 10; //检索图片的最大个数
export var GLOBAL_IS_ITEM_NUMBER_SHOW = false; //是否展示索引
export var publicPath = 'hummingbird';
export var ENTER_CIRCLE = 'MONITORTYPE_ENTER_CIRCLE';
export var OUT_CIRCLE = 'MONITORTYPE_OUT_CIRCLE';
export var TEMP = 'MONITORTYPE_TEMP';
export var GLOBAL_IS_BOX_VMS_SHOW = true; //是否展示盒子vms

export var BODY_SEARCH_THRESHOID = 0.45; //形体检索阈值
export var RECORD_VERSION = '3.0.0'; //保存记录的版本号

export var DeviceTab = {
  EMPTY: 0,
  REAL_CAMERA: 1,
  PREPROCESS_CAMERA: 2,
  //摄像头列表
  TAG_CAMERA: 3,
  //预案列表
  HISTORY_VIDEO_GROUP: 4,
  //录像回放
  VIRTUAL_CAMERA: 5,
  //离线视频
  REAL_CAMERA_NOFACE: 6,
  REAL_CAMERA_ONLYFACE: 7,
  REAL_CAMERA_NOFACE_NOBOX_NODIRECONNECT: 8 // 只有普通摄像头，没有人脸、没有盒子、直连
};