//@ts-nocheck
import channel from './ws';

const startChannel = (topic, req, callback) => {
  // 带上token
  let reqstring = JSON.stringify({
    ...req,
    extraHeaders: {
      authorization: localStorage.getItem('USER-TOKEN'),
    },
  });

  let unSubscribe = channel.subscribe(topic, reqstring, (socketData) => {
    let shouldStop = callback(socketData);
    if (shouldStop) {
      unSubscribe?.();
    }
  });

  return unSubscribe;
};

export default startChannel;
