/**
 * 设备类型枚举
 */
export declare const DeviceType: {
    VMS: string;
    DIR: string;
    CAMERA: string;
};
export declare const LOCAL_KEY = "local";
export declare const DIRE_CONNECT_KEY = "direconnect";
export declare const BOX_LIST_KEY = "boxlist";
export declare enum VmsplatformOpt {
    VMSPLATFORMOPT_ID = 0,
    VMSPLATFORMOPT_PLATFORMNAME = 1,
    VMSPLATFORMOPT_PLUGINNAME = 2,
    VMSPLATFORMOPT_IP = 3,
    VMSPLATFORMOPT_PORT = 4,
    VMSPLATFORMOPT_USERNAME = 5,
    VMSPLATFORMOPT_PASSWORD = 6
}
export declare enum OPT {
    OR = 0,
    AND = 1,
    ORNOT = 2,
    ANDNOT = 3
}
export declare enum DevicemanagerCameraType {
    DEVICEMANAGER_CAMERA_TYPE_DEFAULT = 0,
    DEVICEMANAGER_CAMERA_TYPE_NORMAL = 1,
    DEVICEMANAGER_CAMERA_TYPE_1400 = 97,
    DEVICEMANAGER_CAMERA_TYPE_DHGRABBER = 98,
    DEVICEMANAGER_CAMERA_TYPE_HKGRABBER = 99,
    DEVICEMANAGER_CAMERA_TYPE_LOCAL = 100
}
export declare const BOX_DIRECONNECT_PLATFORM_FILTER: {
    filtervmsplatformList: {
        opt: OPT;
        vmsplatformOpt: VmsplatformOpt;
        value: string;
    }[];
};
