var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/utils/isChrome.ts
var isChrome_exports = {};
__export(isChrome_exports, {
  default: () => isChrome_default,
  isBrowser: () => isBrowser
});
module.exports = __toCommonJS(isChrome_exports);
var isBrowser = !!(typeof window !== "undefined" && window);
var isChrome = () => {
  const winNav = isBrowser && window.navigator;
  const vendorName = winNav && winNav.vendor;
  const userAgent = winNav && winNav.userAgent;
  const isChromium = isBrowser && typeof chrome !== "undefined";
  const isOpera = isBrowser && typeof opr !== "undefined";
  const isIEedge = userAgent && userAgent.indexOf("Edge") > -1;
  const isIOSChrome = !!(userAgent && userAgent.match("CriOS"));
  const isDesktopChrome = isChromium && vendorName === "Google Inc." && !isOpera && !isIEedge;
  return isIOSChrome || isDesktopChrome;
};
var isChrome_default = isChrome;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  isBrowser
});
