var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/useActivateWrapper/index.tsx
var useActivateWrapper_exports = {};
__export(useActivateWrapper_exports, {
  default: () => useActivateWrapper_default,
  useActivateState: () => useActivateState,
  useActivateWrapper: () => useActivateWrapper,
  useUnActivateWrapper: () => useUnActivateWrapper
});
module.exports = __toCommonJS(useActivateWrapper_exports);
var import_react = require("react");
var import_react_activation = require("react-activation");
var import_func = require("@zhst/func");
var import_ahooks = require("ahooks");
var useUnActivateWrapper = (cb) => {
  const latestCb = (0, import_ahooks.useLatest)(cb);
  const handle = (0, import_react.useCallback)(() => {
    const cb2 = latestCb.current ? latestCb.current : import_func.noop;
    cb2();
  }, []);
  (0, import_react_activation.useUnactivate)(handle);
  (0, import_ahooks.useUnmount)(handle);
};
var useActivateWrapper = (cb) => {
  const latestCb = (0, import_ahooks.useLatest)(cb);
  let retRef = (0, import_react.useRef)(import_func.noop);
  const handle = (0, import_react.useCallback)(() => {
    const cb2 = latestCb.current ? latestCb.current : import_func.noop;
    retRef.current = cb2();
  }, []);
  const unMountHandle = (0, import_react.useCallback)(() => {
    if ((0, import_func.isFunction)(retRef.current)) {
      retRef.current();
    }
  }, []);
  (0, import_react_activation.useActivate)(handle);
  (0, import_ahooks.useMount)(handle);
  useUnActivateWrapper(unMountHandle);
  return null;
};
var useActivateState = () => {
  const [isActive, setIsActive] = (0, import_react.useState)(false);
  useActivateWrapper(() => {
    setIsActive(true);
    return () => {
      setIsActive(false);
    };
  });
  return isActive;
};
var useActivateWrapper_default = useActivateWrapper;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  useActivateState,
  useActivateWrapper,
  useUnActivateWrapper
});
