import './index.scss';
export interface Option {
    image?: string | HTMLImageElement;
    wheelZoomRatio?: number;
    scaleAble?: boolean;
    dragAble?: boolean;
    fitScaleAsMinScale?: boolean;
}
declare class Viewer {
    element: HTMLDivElement;
    image: HTMLImageElement;
    canvas: Element;
    options: Option;
    ready: boolean;
    constructor(element: any, options: any);
    init(): Promise<void>;
    build(): void;
    refleshImage(options: any): void;
    destroy(): void;
}
export default Viewer;
