var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/ImageEditor/cropper/preview.ts
var preview_exports = {};
__export(preview_exports, {
  default: () => preview_default
});
module.exports = __toCommonJS(preview_exports);
var import_css = require("rc-util/lib/Dom/css");
var import_utils = require("../utils");
var preview_default = {
  //var
  previewBox: null,
  //method
  initPreview() {
    const { showMask, img, viewer } = this.options;
    if (!showMask)
      return;
    if (viewer) {
      const canvas = document.createElement("canvas");
      canvas.width = this.containerData.width;
      canvas.height = this.containerData.height;
      this.viewBox.appendChild(canvas);
      this.previewBox = canvas;
    } else {
      const image = document.createElement("img");
      image.src = img;
      this.viewBox.appendChild(image);
      this.previewBox = image;
    }
  },
  renderPreview() {
    const { showMask, img, viewer } = this.options;
    if (!showMask)
      return;
    const { containerData, cropBoxData } = this;
    const { width, height } = containerData;
    const left = cropBoxData.left;
    const top = cropBoxData.top;
    if (!this.cropped || this.disabled) {
      return;
    }
    (0, import_css.set)(
      this.previewBox,
      Object.assign(
        {
          width,
          height
        },
        (0, import_utils.getTransforms)(
          Object.assign({
            translateX: -left,
            translateY: -top
          })
        )
      )
    );
  }
};
